import { Component, h, Prop, Event } from '@stencil/core';
export class ButtonComponent {
  constructor() {
    this.disabled = false;
    this.handleOnClick = (event) => {
      this.clicked.emit(event);
    };
  }
  render() {
    const { disabled, text, handleOnClick } = this;
    return (h("button", { disabled: disabled, onClick: handleOnClick, class: "bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded" }, text));
  }
  static get is() { return "mp-button"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["button.css"]
  }; }
  static get styleUrls() { return {
    "$": ["button.css"]
  }; }
  static get properties() { return {
    "text": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "text",
      "reflect": false
    },
    "disabled": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "disabled",
      "reflect": false,
      "defaultValue": "false"
    }
  }; }
  static get events() { return [{
      "method": "clicked",
      "name": "clicked",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "PointerEvent",
        "resolved": "PointerEvent",
        "references": {
          "PointerEvent": {
            "location": "global"
          }
        }
      }
    }]; }
}
